<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!--
      - pode-se aplicar mais de uma classe css a um elemento.
      - quando o tamanho da aplicação cresce, faz mais sentido ter as estruturas de aplicação de classes CSS na lógica da aplicação do que diretamente no template
      - na lógica da aplicação, cria-se uma propriedade computada (retornando um objeto ocm par chave-valor com nomeDaClasseCss-booleano), que será ativada (calculada) sempre que os dados que ela usa alterarem.
      - o código do template ficará:
        - mais limpo
        - mais simples de ser lido
        - mais prático
        - mais fácil de ser mantido      
    -->
    <div class="demo" :class="estilo1" @click="aplicarC1 = !aplicarC1"></div>
    <div class="demo"></div>
    <div class="demo"></div>
  </div>
  <script src="app.js"></script>
</body>

</html>